%define name cmu-snmp
%define version 3.7
%define release 2mdk

Summary:   CMU SNMP agent
Name:      %{name}
Version:   %{version}
Release:   %{release}
URL:       http://www.gaertner.de/snmp/
Source0:   %{name}-linux-%{version}-src.tar.bz2
Source1:   snmpd.init
Source2:   snmpd.conf
Patch:     cmu-snmp-linux-mibfile.patch.bz2
Copyright: CMU
Group:     Networking/Other
PreReq:	   /sbin/chkconfig
BuildRoot: /var/tmp/%{name}-buildroot
Summary(de): CMU-SNMP-Agent 
Summary(fr): Agent CMU SNMP
Summary(tr): CMU Basit A Ynetimi Protokolu (SNMP)

%description
This is a derivative of the original Carnegie Mellon University
Simple Network Management Protocol.  It is useful for managing
networks and doing accounting.

%package utils
Group:    Networking/Other
Summary:  CMU SNMP utilities
Requires: cmu-snmp
Summary(de): CMU-SNMP-Dienstprogramme
Summary(fr): Utilitaires CMU SNMP.
Summary(tr): CMU SNMP aralar

%description utils
These are the various utilities for use with CMU SNMP.  Contains utils
such as snmpwalk, snmptest, and more.

%package devel
Group:    Networking/Other
Summary:  CMU SNMP development libs and headers
Requires: cmu-snmp
Summary(de): CMU SNMP Entwicklungs-Libs und Headers 
Summary(fr): Bibliothques et en-ttes de dveloppement CMU SNMP
Summary(tr): CMU SNMP gelitirme kitaplklar ve balk dosyalar

%description devel
These are the development libraries and header files for CMU SNMP.
This will allow the network administrator to write programs for
use with network management.

%description -l de utils
Dies sind verschiedene Dienstprogramme fr CMU SNMP: 
snmpwalk, snmptest, usw.

%description -l de devel
Dies sind die Entwicklungs-Libraries und Header-Dateien fr CMU SNMP.
Damit kann der Netzwerkadministrator Programme fr die
Netzwerkverwaltung schreiben.

%description -l de
Dies ist ein Derivat des Original-Simple-Network-Management-Protokolls der 
Carnegie Mellon University. Es ist ntzlich zur Verwaltung von Netzwerken 
und "zur Kontenfhrung. 

%description -l fr utils
Divers utilitaires  utiliser avec CMU SNMP. Contient des outils comme
snmpwalk, snmptest et plus.

%description -l fr devel
Ce sont des libraries de dveloppement et des fichiers d'en-tte pour
CMU SNMP. Ils permettent  l'administrateur rseau d'crire des programmes
pour la gestion du rseau.

%description -l fr
Driv du protocole SNMP (Simple Network Management Protocol) original de
l'universit de Carnegie Mellon. Pratique pour grer les rseaux et
comptabiliser les accs.

%description -l tr utils
Bu paket, CMU SNMP ile kullanlan, snmpwalk, snmptest gibi eitli aralar
ierir.

%description -l tr devel
CMU SNMP iin balk dosyalar ve gelitirme kitaplklar. A ynetim
programlar yazmay dnenler iin yararl olabilir.

%description -l tr
Carnegie Mellon niversitesi Basit A Ynetimi Protokolu'nun (Simple Network
Management Protocol) bir trevidir. Alar ynetmek ve izlemek iin kullanlr.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-linux-%{version}

%patch -p1

%build
./configure --prefix=/usr

make MIBFILEPATH=/etc -C snmplib libsnmp.a
make MIBFILEPATH=/etc -C snmplib libsnmp.so
make all

%install
rm -rf $RPM_BUILD_ROOT

for I in usr/bin usr/lib usr/sbin usr/man/man1 usr/man/man3 \
  usr/man/man5 usr/man/man8 usr/include/snmp etc/rc.d/init.d ; do
  install -d $RPM_BUILD_ROOT/$I
done

make prefix=$RPM_BUILD_ROOT/usr \
     cprefix=$RPM_BUILD_ROOT/etc \
     exec_prefix=$RPM_BUILD_ROOT/usr \
     MIBFILEPATH=$RPM_BUILD_ROOT/etc \
     SHLIBDIR=$RPM_BUILD_ROOT/usr/lib \
     install

install -m755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/snmpd
install -m600 %{SOURCE2} $RPM_BUILD_ROOT/etc/snmpd.conf

%post
/sbin/ldconfig
/sbin/chkconfig --add snmpd 

%postun
/sbin/ldconfig
if [ $1 = 0 ]; then
   /sbin/chkconfig --del snmpd
fi

%post utils
/sbin/ldconfig

%postun utils
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%verify(not md5 mtime size) %config /etc/snmpd.agentinfo
%config /etc/mib.txt
%config /etc/snmpd.conf
%config /etc/rc.d/init.d/snmpd
/usr/lib/lib*.so.*.*
/usr/man/man5/snmpd.conf.*
/usr/man/man5/variables.*
/usr/man/man8/snmpd.*
/usr/sbin/*

%files utils
%defattr(-,root,root)
/usr/bin/*
/usr/lib/lib*.so.*.*
/usr/man/man1/*
/usr/man/man5/variables.*
/usr/man/man5/snmpd.conf.*
/usr/man/man8/snmptrapd.*
/usr/sbin/*

%files devel
%defattr(-,root,root)
/usr/include/snmp
/usr/lib/lib*.a
/usr/lib/lib*.so
/usr/man/man3/snmp_api.*
/usr/man/man5/variables.*

%changelog
* Tue Apr 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.7-2mdk
- fix group
- fix files section 

* Wed Feb 09 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.7-1mdk
- mandrake build

* Wed Jul  7 1999 Peter Hanecak <hanecak@megaloman.com>
  [3.7-1]

* Tue Apr 20 1999 Peter Hanecak <hanecak@megaloman.com>
  [3.6-2]
- changes to allow non-root users to build too (only spec changed)
- enhanced initscripts (from Cristian Gafton's <gafton@redhat.com> package)
- translations modified for de, fr, tr (from Cristian Gafton's package too)

* Mon Apr 12 1999 Arne Coucheron <arneco@online.no>
  [3.6-1]
- too many changes to remember

* Fri Mar 13 1998 Arne Coucheron <arneco@online.no>
  [3.5-2]
- updated mib.txt
- removed the install-info require

* Thu Feb 19 1998 Arne Coucheron <arneco@online.no>
  [3.5-1]
